<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: SoundManagerBinding/include/libsoundmanager/libsoundmanager.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('libsoundmanager_8hpp.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">libsoundmanager.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;audiomanagertypes.h&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;map&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;json-c/json.h&gt;</code><br />
<code>#include &lt;systemd/sd-event.h&gt;</code><br />
<code>#include &lt;afb/afb-binding.h&gt;</code><br />
<code>#include &lt;afb/afb-wsj1.h&gt;</code><br />
<code>#include &lt;afb/afb-ws-client.h&gt;</code><br />
</div>
<p><a href="libsoundmanager_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_lib_soundmanager.html">LibSoundmanager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1f6a1c6cdbe66b174179ef6395f2981f"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="libsoundmanager_8hpp.html#a1f6a1c6cdbe66b174179ef6395f2981f">api_list</a></td></tr>
<tr class="separator:a1f6a1c6cdbe66b174179ef6395f2981f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63497e6f3147871c0c6b1b251565e7f0"><td class="memItemLeft" align="right" valign="top">const std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="libsoundmanager_8hpp.html#a63497e6f3147871c0c6b1b251565e7f0">event_list</a></td></tr>
<tr class="separator:a63497e6f3147871c0c6b1b251565e7f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1f6a1c6cdbe66b174179ef6395f2981f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f6a1c6cdbe66b174179ef6395f2981f">&#9670;&nbsp;</a></span>api_list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; api_list</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div><div class="line">    std::string(<span class="stringliteral">&quot;connect&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;disconnect&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;setVolume&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;volumeStep&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;setSinkMuteState&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;getListMainConnections&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;ackConnect&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;ackDisconnect&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;ackSetSourceState&quot;</span>),    </div><div class="line">    std::string(<span class="stringliteral">&quot;registerSource&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;deregisterSource&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;subscribe&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;unsubscribe&quot;</span>)</div><div class="line">}</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="libsoundmanager_8hpp_source.html#l00034">34</a> of file <a class="el" href="libsoundmanager_8hpp_source.html">libsoundmanager.hpp</a>.</p>

</div>
</div>
<a id="a63497e6f3147871c0c6b1b251565e7f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63497e6f3147871c0c6b1b251565e7f0">&#9670;&nbsp;</a></span>event_list</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::vector&lt;std::string&gt; event_list</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">{</div><div class="line">    std::string(<span class="stringliteral">&quot;newMainConnection&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;volumeChanged&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;removedMainConnection&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;sinkMuteStateChanged&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;mainConnectionStateChanged&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;setRoutingReady&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;setRoutingRundown&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;asyncConnect&quot;</span>),</div><div class="line">    std::string(<span class="stringliteral">&quot;ackSetSourceState&quot;</span>)</div><div class="line">}</div></div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="libsoundmanager_8hpp_source.html#l00050">50</a> of file <a class="el" href="libsoundmanager_8hpp_source.html">libsoundmanager.hpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b967abc00200c877344b4504e6cbcf3f.html">SoundManagerBinding</a></li><li class="navelem"><a class="el" href="dir_c2dc0533631c44dc5d574e7be055c656.html">include</a></li><li class="navelem"><a class="el" href="dir_4ed4f07a8451d34bdd1d92ed62b81ed4.html">libsoundmanager</a></li><li class="navelem"><a class="el" href="libsoundmanager_8hpp.html">libsoundmanager.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
